Cyberduck Mountain Duck CLI

#4162 closed defect (fixed)

Decrypted PEM has wrong padding, did you specify the correct password?

Reported by: oschrenk Owned by: dkocher
Priority: normal Milestone: 3.4.2
Component: sftp Version: 3.4.1
Severity: normal Keywords: ssh passphrase change pem padding
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Following scenario:

I used my private key (without a passphrase) to log into various servers. I'd come to my senses though and changed the passphrase via

$ ssh-keygen -p
Enter file in which the key is: /Users/Oliver.ssh/id_dsa
[...]

Now whenever I try to log into a server (via a saved bookmark) I get

Decrypted PEM has wrong padding, did you specify the correct password?

Expected behaviour: Cyberduck should ask for the passphrase

I checked the checkbox to not use a private key, closed and restartet Cyberduck rechecked the boy to use the private key. Then it asks for a passphrase, but I still can't log in and I am given the same error message.

Does Cyberdruck use some kind of old information I have to delete first?

Using OSX 10.6.2 Cyberduck 3.4.1

Change History (7)

comment:1 Changed on Jan 28, 2010 at 5:00:50 PM by dkocher

  • Component changed from core to sftp
  • Description modified (diff)

comment:2 Changed on Jan 28, 2010 at 5:01:11 PM by dkocher

#4166 closed as duplicate.

comment:3 Changed on Mar 7, 2010 at 6:35:51 PM by smunz

Same behaviour over here.

Would be cool to fix this.

comment:4 follow-up: Changed on Mar 8, 2010 at 4:02:11 AM by dkocher

Try to remove all passwords from the keychain titled SSHKeychain.

comment:5 in reply to: ↑ 4 Changed on Mar 30, 2010 at 3:39:20 AM by michael

Replying to dkocher:

Try to remove all passwords from the keychain titled SSHKeychain.

That worked for me. Perhaps the add to keychain in the password window shouldnʻt be checked by default? Thanks.

comment:6 Changed on Mar 30, 2010 at 4:23:26 AM by dkocher

  • Milestone set to 3.4.2
  • Resolution set to fixed
  • Status changed from new to closed

Fixed as of r5865.

comment:7 Changed on Mar 30, 2010 at 4:24:14 AM by dkocher

#4308 is a duplicate for this.

Note: See TracTickets for help on using tickets.
swiss made software